#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.12.3
visibility:           public
id:                   skylighting-core-0.12.3-Jy2NoZGoDmM5TGRjrGjh5u
key:                  skylighting-core-0.12.3-Jy2NoZGoDmM5TGRjrGjh5u
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  1ee53f326b6a15510cc8b8da1cc9d2e4
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Format.ANSI Skylighting.Format.HTML
    Skylighting.Format.LaTeX Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-9.0.2/site-local/skylighting-core-0.12.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/skylighting-core-0.12.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-skylighting-core
hs-libraries:         HSskylighting-core-0.12.3-Jy2NoZGoDmM5TGRjrGjh5u
depends:
    aeson-1.5.6.0-C19GJXDSM92LJPi4EK7PL5
    ansi-terminal-0.11.1-3bF8hvpb5rt8AmpxYz60ww
    attoparsec-0.14.4-3b5hJmAVxMZ2YoY0FeNqg3 base-4.15.1.0
    base64-bytestring-1.2.1.0-D33qXGXKpGmJ3T6mGyl7f0 binary-0.8.8.0
    blaze-html-0.9.1.2-Hb80nXD6h2iBdbQJmQzMM8 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-AmrqIhTD8km9mbo5tnh83Q
    colour-2.3.6-BNeGxT2Xd9hD6F1QINrj5X containers-0.6.4.1
    directory-1.3.6.2 filepath-1.4.2.1 mtl-2.2.2
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q text-1.2.5.0
    transformers-0.5.6.2 utf8-string-1.0.2-FOQgGpXm4p2BxMMm2pyYrn
    xml-conduit-1.9.1.1-6jtAxaFrqfFGvXWlux4uWO

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

